﻿using System.Data;
using System.Reflection;
using Connected.Data.Schema;
using Connected.Entities.Annotations;

namespace Connected.ServiceModel.Client.Data.Schema;
internal sealed class SchemaColumn : ISchemaColumn
{
	public string? Name { get; set; }

	public DbType DataType { get; set; }

	public bool IsIdentity { get; set; }

	public bool IsUnique { get; set; }

	public bool IsIndex { get; set; }

	public bool IsPrimaryKey { get; set; }

	public bool IsVersion { get; set; }

	public string? DefaultValue { get; set; }

	public int MaxLength { get; set; }

	public bool IsNullable { get; set; }

	public string? Index { get; set; }

	public int Scale { get; set; }

	public int Precision { get; set; }

	public DateKind DateKind { get; set; }

	public BinaryKind BinaryKind { get; set; }

	public int DatePrecision { get; set; }

	public bool IsPartitionKey { get; set; }
	public PropertyInfo Property { get; set; }
}
